## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2021-08-23
version: '3.3'
services:
    linuxserver:
        container_name: sonarr
        environment:
          - PUID=1000   # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
          - PGID=1000   # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
          - TZ=Europe/Paris  # https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
          - UMASK_SET=002
        ports:
          - '8989:8989'  # WebUI
        volumes:
          - '/volume1/docker/sonarr/config:/config'
          - '/volume1/docker/share:/share'  # Emplacement de vos partages
        restart: unless-stopped
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#        labels:
#          - com.centurylinklabs.watchtower.enable=true
        image: 'ghcr.io/linuxserver/sonarr:latest'
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip        
        network_mode: sonarr_network
